package com.dxhy.erp.entity.alltax;

import com.dxhy.common.utils.SpringContextUtils;
import com.dxhy.erp.service.AllTaxesService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

/**
 * @author futianhao
 */
@Component
public class AllTaxes {

    private static final Logger logger = LoggerFactory.getLogger(AllTaxes.class);

    public TaxesRequestInfo taxesRequestInfo;

    public AllTaxes(TaxesRequestInfo taxesRequestInfo) {
        this.taxesRequestInfo = taxesRequestInfo;
    }

    public AllTaxes() {}

    public void start() {
        AllTaxesService allTaxesService = (AllTaxesService)SpringContextUtils.getBean("allTaxesService");
        allTaxesService.count(taxesRequestInfo);
    }
}
